[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.FormState

State flags for the form.

## Declaration

Source position: forms.pp line 782

`public property TCustomForm.FormState : TFormState read FFormState;`

## Description

FormState is a read-only TFormState property which contains state flags enabled for the form instance. Values from the TFormStateType enumeration are included in, or excluded from, the set type when corresponding actions occur (or are resolved) for the form instance.

See TFormStateType for more information on the values and meanings in the enumeration.

FormState is updated when properties for the form instance are changed, and in methods which respond to window and control messages in the form instance.

## See also

TFormState |  | Form state flags.
TFormStateType |  | Form state flags.